Bug 15905 - Remove use of makepayment
Summary: Remove use of makepayment
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 15906 15907
Blocks: 15894
  Show dependency treegraph
 
Reported: 2016-02-24 15:45 UTC by Kyle M Hall
Modified: 2017-12-07 22:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15905 - Update unit tests (1.74 KB, patch)
2016-02-24 16:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15905 - Remove use of makepayment (2.07 KB, patch)
2016-02-24 16:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15905 - Update unit tests (1.76 KB, patch)
2016-06-07 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15905 - Update unit tests (1.75 KB, patch)
2016-06-07 15:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15905 - Remove use of makepayment (2.07 KB, patch)
2016-06-07 15:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15905 - Update unit tests (1.75 KB, patch)
2017-01-11 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15905 - Remove use of makepayment (1.77 KB, patch)
2017-01-11 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15905 - Update unit tests (1.80 KB, patch)
2017-01-11 16:10 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 15905 - Remove use of makepayment (1.83 KB, patch)
2017-01-11 16:10 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 15905 - Update unit tests (1.80 KB, patch)
2017-01-11 18:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15905 - Remove use of makepayment (1.83 KB, patch)
2017-01-11 18:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15905: Remove one last occurrence of makepayment in comment (763 bytes, patch)
2017-01-11 18:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-02-24 15:45:41 UTC

    
Comment 1 Kyle M Hall 2016-02-24 16:13:05 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-02-24 16:13:12 UTC Comment hidden (obsolete)
Comment 3 Aleisha Amohia 2016-03-03 01:50:25 UTC
fatal: sha1 information is lacking or useless (t/db_dependent/Accounts.t).
Comment 4 M. Tompsett 2016-03-03 03:39:09 UTC
(In reply to Aleisha Amohia from comment #3)
> fatal: sha1 information is lacking or useless (t/db_dependent/Accounts.t).

Confirmed. 15895 (3 way merge okay), 15896, 15906, and 15907 all apply.
Comment 5 Kyle M Hall 2016-03-07 19:00:36 UTC
(In reply to M. Tompsett from comment #4)
> (In reply to Aleisha Amohia from comment #3)
> > fatal: sha1 information is lacking or useless (t/db_dependent/Accounts.t).
> 
> Confirmed. 15895 (3 way merge okay), 15896, 15906, and 15907 all apply.

It's possible I've missed a dependency. Please check out this dependency graph: https://bugs.koha-community.org/bugzilla3/showdependencygraph.cgi?id=15894

Ideally, if we could get signoffs on the patches from top to bottom everything should work itself out.

Just for posterity, the order in which I wrote the patches is as follows:
15895
15896
15897
15898
15900
15901
15902
15903
15899
15906
15907
15905
15908
15909

I could simplify the dependency graph my making simply a straight line, but that would prevent any parallel testing that could be occurring. From a practical standpoint, if you test the patches in this order everything should apply cleanly.
Comment 6 Kyle M Hall 2016-03-07 19:03:53 UTC
I've pushed out a github branch with this entire patch set applied for ease of testing: https://github.com/bywatersolutions/bywater-koha-devel/tree/bug_15894_-_Unify_all_account_fine_payment_functions
Comment 7 Kyle M Hall 2016-06-07 14:57:27 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2016-06-07 15:12:33 UTC
Created attachment 52150 [details] [review]
Bug 15905 - Update unit tests
Comment 9 Kyle M Hall 2016-06-07 15:12:41 UTC
Created attachment 52151 [details] [review]
Bug 15905 - Remove use of makepayment

Test Plan:
1) Apply these patches
2) prove t/db_dependent/Accounts.t
3) 'git grep makepayment' should return no results
Comment 10 Kyle M Hall 2017-01-11 14:57:50 UTC
Created attachment 58821 [details] [review]
Bug 15905 - Update unit tests
Comment 11 Kyle M Hall 2017-01-11 14:57:57 UTC
Created attachment 58822 [details] [review]
Bug 15905 - Remove use of makepayment

Test Plan:
1) Apply these patches
2) prove t/db_dependent/Accounts.t
3) 'git grep makepayment' should return no results
Comment 12 M. Tompsett 2017-01-11 16:10:30 UTC
Created attachment 58831 [details] [review]
Bug 15905 - Update unit tests

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 13 M. Tompsett 2017-01-11 16:10:35 UTC
Created attachment 58832 [details] [review]
Bug 15905 - Remove use of makepayment

Test Plan:
1) Apply these patches
2) prove t/db_dependent/Accounts.t
3) 'git grep makepayment' should return no results

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 14 M. Tompsett 2017-01-11 16:11:42 UTC
Bug 15907 hasn't been pushed yet, so had to apply first before testing.
Comment 15 Jonathan Druart 2017-01-11 18:25:56 UTC
Created attachment 58841 [details] [review]
Bug 15905 - Update unit tests

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 16 Jonathan Druart 2017-01-11 18:26:02 UTC
Created attachment 58842 [details] [review]
Bug 15905 - Remove use of makepayment

Test Plan:
1) Apply these patches
2) prove t/db_dependent/Accounts.t
3) 'git grep makepayment' should return no results

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 17 Jonathan Druart 2017-01-11 18:26:17 UTC
Created attachment 58843 [details] [review]
Bug 15905: Remove one last occurrence of makepayment in comment
Comment 18 Kyle M Hall 2017-01-12 13:44:07 UTC
Pushed to master for 17.05!
Comment 19 Katrin Fischer 2017-01-15 16:10:37 UTC
This won't get ported back to 16.11.x as it is an enhancement.